Skip to main content
GET
/
webhooks
/
{webhook_id}
Get a webhook configuration
curl --request GET \
  --url https://api.partoo.co/v2/webhooks/{webhook_id} \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/webhooks/{webhook_id}"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "url": "https://example.com/webhook",
  "event_type": "business_created",
  "created_at": "2024-11-27T16:10:44.929678Z",
  "updated_at": "2024-11-27T16:10:44.929678Z",
  "org_id": 1,
  "custom_headers": {
    "X-My-Header": "my-value",
    "X-Auth-Token": "secret-token"
  }
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

webhook_id
integer
required

The webhook object identifier.

Query Parameters

org_id
integer

Organization identifier, only required for PROVIDER users.

Response

OK

id
integer
required

The identifier for the webhook configuration.

Example:

1

url
string
required

The URL receiving the webhook's data.

Example:

"https://example.com/webhook"

event_type
enum<string>
required

The webhook event type.

Available options:
business_created,
business_updated,
business_deleted,
message_updated,
message_created,
lead_received
Example:

"business_created"

created_at
string
required

An ISO 8601 date-time string representing the webhook creation date.

Example:

"2024-11-27T16:10:44.929678Z"

updated_at
string
required

An ISO 8601 date-time string representing the webhook last update date.

Example:

"2024-11-27T16:10:44.929678Z"

org_id
integer
required

The organization identifier for the webhook configuration.

Example:

1

custom_headers
object

Custom HTTP headers to include in webhook requests. Keys must start with X- (case-insensitive) and must not use the reserved X-Partoo prefix. Maximum 5 headers. Key max length: 128 characters. Value max length: 512 characters. The following characters are forbidden in header keys: space, (, ), <, >, @, ,, ;, :, \, ", /, [, ], ?, =, {, }.

Example:
{
"X-My-Header": "my-value",
"X-Auth-Token": "secret-token"
}